Package com.sap.ai.sdk.grounding.model

# Class ConfigurationDocumentFullDetails

java.lang.Object
com.sap.ai.sdk.grounding.model.ConfigurationDocumentFullDetails

public class ConfigurationDocumentFullDetails extends Object
ConfigurationDocumentFullDetails

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `ConfigurationDocumentFullDetails()`
  Default constructor for ConfigurationDocumentFullDetails.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ConfigurationDocumentFullDetails`
  `absoluteFilePath(String absoluteFilePath)`
  Set the absoluteFilePath of this `ConfigurationDocumentFullDetails` instance and return the same instance.
  `ConfigurationDocumentFullDetails`
  `addMetadataItem(DocumentMetadata metadataItem)`
  Add one metadata instance to this `ConfigurationDocumentFullDetails`.
  `static ConfigurationDocumentFullDetails`
  `create()`
  Create a new `ConfigurationDocumentFullDetails` instance.
  `ConfigurationDocumentFullDetails`
  `createdTimestamp(OffsetDateTime createdTimestamp)`
  Set the createdTimestamp of this `ConfigurationDocumentFullDetails` instance and return the same instance.
  `ConfigurationDocumentFullDetails`
  `documentEtag(String documentEtag)`
  Set the documentEtag of this `ConfigurationDocumentFullDetails` instance and return the same instance.
  `ConfigurationDocumentFullDetails`
  `downloadLocation(String downloadLocation)`
  Set the downloadLocation of this `ConfigurationDocumentFullDetails` instance and return the same instance.
  `boolean`
  `equals(Object o)`
  `ConfigurationDocumentFullDetails`
  `fileSizeMb(String fileSizeMb)`
  Set the fileSizeMb of this `ConfigurationDocumentFullDetails` instance and return the same instance.
  `ConfigurationDocumentFullDetails`
  `fileSuffix(String fileSuffix)`
  Set the fileSuffix of this `ConfigurationDocumentFullDetails` instance and return the same instance.
  `String`
  `getAbsoluteFilePath()`
  Absolute file path of the document in the repository.
  `OffsetDateTime`
  `getCreatedTimestamp()`
  UTC timestamp when the document was created (RFC 3339 format, e.g., 2025-08-28T06:15:30Z)
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `ConfigurationDocumentFullDetails`.
  `String`
  `getDocumentEtag()`
  ETag of the document.
  `String`
  `getDownloadLocation()`
  Download location of the document.
  `String`
  `getFileSizeMb()`
  File size of the document in megabytes.
  `String`
  `getFileSuffix()`
  File suffix of the document.
  `String`
  `getId()`
  Unique identifier for the document.
  `List<DocumentMetadata>`
  `getMetadata()`
  Metadata key-value pairs associated with the document.
  `String`
  `getMimeType()`
  MIME type of the document.
  `String`
  `getResourceUri()`
  URI of the resource.
  `String`
  `getTitle()`
  Title of the document.
  `String`
  `getViewLocation()`
  View location of the document.
  `String`
  `getWebUrl()`
  Web URL of the document.
  `int`
  `hashCode()`
  `ConfigurationDocumentFullDetails`
  `id(String id)`
  Set the id of this `ConfigurationDocumentFullDetails` instance and return the same instance.
  `ConfigurationDocumentFullDetails`
  `metadata(List<DocumentMetadata> metadata)`
  Set the metadata of this `ConfigurationDocumentFullDetails` instance and return the same instance.
  `ConfigurationDocumentFullDetails`
  `mimeType(String mimeType)`
  Set the mimeType of this `ConfigurationDocumentFullDetails` instance and return the same instance.
  `ConfigurationDocumentFullDetails`
  `resourceUri(String resourceUri)`
  Set the resourceUri of this `ConfigurationDocumentFullDetails` instance and return the same instance.
  `void`
  `setAbsoluteFilePath(String absoluteFilePath)`
  Set the absoluteFilePath of this `ConfigurationDocumentFullDetails` instance.
  `void`
  `setCreatedTimestamp(OffsetDateTime createdTimestamp)`
  Set the createdTimestamp of this `ConfigurationDocumentFullDetails` instance.
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `ConfigurationDocumentFullDetails` instance.
  `void`
  `setDocumentEtag(String documentEtag)`
  Set the documentEtag of this `ConfigurationDocumentFullDetails` instance.
  `void`
  `setDownloadLocation(String downloadLocation)`
  Set the downloadLocation of this `ConfigurationDocumentFullDetails` instance.
  `void`
  `setFileSizeMb(String fileSizeMb)`
  Set the fileSizeMb of this `ConfigurationDocumentFullDetails` instance.
  `void`
  `setFileSuffix(String fileSuffix)`
  Set the fileSuffix of this `ConfigurationDocumentFullDetails` instance.
  `void`
  `setId(String id)`
  Set the id of this `ConfigurationDocumentFullDetails` instance.
  `void`
  `setMetadata(List<DocumentMetadata> metadata)`
  Set the metadata of this `ConfigurationDocumentFullDetails` instance.
  `void`
  `setMimeType(String mimeType)`
  Set the mimeType of this `ConfigurationDocumentFullDetails` instance.
  `void`
  `setResourceUri(String resourceUri)`
  Set the resourceUri of this `ConfigurationDocumentFullDetails` instance.
  `void`
  `setTitle(String title)`
  Set the title of this `ConfigurationDocumentFullDetails` instance.
  `void`
  `setViewLocation(String viewLocation)`
  Set the viewLocation of this `ConfigurationDocumentFullDetails` instance.
  `void`
  `setWebUrl(String webUrl)`
  Set the webUrl of this `ConfigurationDocumentFullDetails` instance.
  `ConfigurationDocumentFullDetails`
  `title(String title)`
  Set the title of this `ConfigurationDocumentFullDetails` instance and return the same instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `ConfigurationDocumentFullDetails` instance including unrecognized properties.
  `String`
  `toString()`
  `ConfigurationDocumentFullDetails`
  `viewLocation(String viewLocation)`
  Set the viewLocation of this `ConfigurationDocumentFullDetails` instance and return the same instance.
  `ConfigurationDocumentFullDetails`
  `webUrl(String webUrl)`
  Set the webUrl of this `ConfigurationDocumentFullDetails` instance and return the same instance.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ConfigurationDocumentFullDetails

    protected ConfigurationDocumentFullDetails()
    Default constructor for ConfigurationDocumentFullDetails.

- ## Method Details

  - ### id

    @Nonnull public ConfigurationDocumentFullDetails id(@Nullable String id)
    Set the id of this `ConfigurationDocumentFullDetails` instance and return the same instance.
    Parameters:
      `id` - Unique identifier for the document.
    Returns:
      The same instance of this `ConfigurationDocumentFullDetails` class

  - ### getId

    @Nonnull public String getId()
    Unique identifier for the document.
    Returns:
      id The id of this `ConfigurationDocumentFullDetails` instance.

  - ### setId

    public void setId(@Nullable String id)
    Set the id of this `ConfigurationDocumentFullDetails` instance.
    Parameters:
      `id` - Unique identifier for the document.

  - ### title

    @Nonnull public ConfigurationDocumentFullDetails title(@Nullable String title)
    Set the title of this `ConfigurationDocumentFullDetails` instance and return the same instance.
    Parameters:
      `title` - Title of the document.
    Returns:
      The same instance of this `ConfigurationDocumentFullDetails` class

  - ### getTitle

    @Nonnull public String getTitle()
    Title of the document.
    Returns:
      title The title of this `ConfigurationDocumentFullDetails` instance.

  - ### setTitle

    public void setTitle(@Nullable String title)
    Set the title of this `ConfigurationDocumentFullDetails` instance.
    Parameters:
      `title` - Title of the document.

  - ### absoluteFilePath

    @Nonnull public ConfigurationDocumentFullDetails absoluteFilePath(@Nullable String absoluteFilePath)
    Set the absoluteFilePath of this `ConfigurationDocumentFullDetails` instance and return the same instance.
    Parameters:
      `absoluteFilePath` - Absolute file path of the document in the repository.
    Returns:
      The same instance of this `ConfigurationDocumentFullDetails` class

  - ### getAbsoluteFilePath

    @Nonnull public String getAbsoluteFilePath()
    Absolute file path of the document in the repository.
    Returns:
      absoluteFilePath The absoluteFilePath of this `ConfigurationDocumentFullDetails` instance.

  - ### setAbsoluteFilePath

    public void setAbsoluteFilePath(@Nullable String absoluteFilePath)
    Set the absoluteFilePath of this `ConfigurationDocumentFullDetails` instance.
    Parameters:
      `absoluteFilePath` - Absolute file path of the document in the repository.

  - ### createdTimestamp

    @Nonnull public ConfigurationDocumentFullDetails createdTimestamp(@Nullable OffsetDateTime createdTimestamp)
    Set the createdTimestamp of this `ConfigurationDocumentFullDetails` instance and return the same instance.
    Parameters:
      `createdTimestamp` - UTC timestamp when the document was created (RFC 3339 format, e.g., 2025-08-28T06:15:30Z)
    Returns:
      The same instance of this `ConfigurationDocumentFullDetails` class

  - ### getCreatedTimestamp

    @Nonnull public OffsetDateTime getCreatedTimestamp()
    UTC timestamp when the document was created (RFC 3339 format, e.g., 2025-08-28T06:15:30Z)
    Returns:
      createdTimestamp The createdTimestamp of this `ConfigurationDocumentFullDetails` instance.

  - ### setCreatedTimestamp

    public void setCreatedTimestamp(@Nullable OffsetDateTime createdTimestamp)
    Set the createdTimestamp of this `ConfigurationDocumentFullDetails` instance.
    Parameters:
      `createdTimestamp` - UTC timestamp when the document was created (RFC 3339 format, e.g., 2025-08-28T06:15:30Z)

  - ### resourceUri

    @Nonnull public ConfigurationDocumentFullDetails resourceUri(@Nullable String resourceUri)
    Set the resourceUri of this `ConfigurationDocumentFullDetails` instance and return the same instance.
    Parameters:
      `resourceUri` - URI of the resource.
    Returns:
      The same instance of this `ConfigurationDocumentFullDetails` class

  - ### getResourceUri

    @Nonnull public String getResourceUri()
    URI of the resource.
    Returns:
      resourceUri The resourceUri of this `ConfigurationDocumentFullDetails` instance.

  - ### setResourceUri

    public void setResourceUri(@Nullable String resourceUri)
    Set the resourceUri of this `ConfigurationDocumentFullDetails` instance.
    Parameters:
      `resourceUri` - URI of the resource.

  - ### webUrl

    @Nonnull public ConfigurationDocumentFullDetails webUrl(@Nullable String webUrl)
    Set the webUrl of this `ConfigurationDocumentFullDetails` instance and return the same instance.
    Parameters:
      `webUrl` - Web URL of the document.
    Returns:
      The same instance of this `ConfigurationDocumentFullDetails` class

  - ### getWebUrl

    @Nonnull public String getWebUrl()
    Web URL of the document.
    Returns:
      webUrl The webUrl of this `ConfigurationDocumentFullDetails` instance.

  - ### setWebUrl

    public void setWebUrl(@Nullable String webUrl)
    Set the webUrl of this `ConfigurationDocumentFullDetails` instance.
    Parameters:
      `webUrl` - Web URL of the document.

  - ### documentEtag

    @Nonnull public ConfigurationDocumentFullDetails documentEtag(@Nullable String documentEtag)
    Set the documentEtag of this `ConfigurationDocumentFullDetails` instance and return the same instance.
    Parameters:
      `documentEtag` - ETag of the document.
    Returns:
      The same instance of this `ConfigurationDocumentFullDetails` class

  - ### getDocumentEtag

    @Nonnull public String getDocumentEtag()
    ETag of the document.
    Returns:
      documentEtag The documentEtag of this `ConfigurationDocumentFullDetails` instance.

  - ### setDocumentEtag

    public void setDocumentEtag(@Nullable String documentEtag)
    Set the documentEtag of this `ConfigurationDocumentFullDetails` instance.
    Parameters:
      `documentEtag` - ETag of the document.

  - ### fileSuffix

    @Nonnull public ConfigurationDocumentFullDetails fileSuffix(@Nullable String fileSuffix)
    Set the fileSuffix of this `ConfigurationDocumentFullDetails` instance and return the same instance.
    Parameters:
      `fileSuffix` - File suffix of the document.
    Returns:
      The same instance of this `ConfigurationDocumentFullDetails` class

  - ### getFileSuffix

    @Nonnull public String getFileSuffix()
    File suffix of the document.
    Returns:
      fileSuffix The fileSuffix of this `ConfigurationDocumentFullDetails` instance.

  - ### setFileSuffix

    public void setFileSuffix(@Nullable String fileSuffix)
    Set the fileSuffix of this `ConfigurationDocumentFullDetails` instance.
    Parameters:
      `fileSuffix` - File suffix of the document.

  - ### viewLocation

    @Nonnull public ConfigurationDocumentFullDetails viewLocation(@Nullable String viewLocation)
    Set the viewLocation of this `ConfigurationDocumentFullDetails` instance and return the same instance.
    Parameters:
      `viewLocation` - View location of the document.
    Returns:
      The same instance of this `ConfigurationDocumentFullDetails` class

  - ### getViewLocation

    @Nonnull public String getViewLocation()
    View location of the document.
    Returns:
      viewLocation The viewLocation of this `ConfigurationDocumentFullDetails` instance.

  - ### setViewLocation

    public void setViewLocation(@Nullable String viewLocation)
    Set the viewLocation of this `ConfigurationDocumentFullDetails` instance.
    Parameters:
      `viewLocation` - View location of the document.

  - ### downloadLocation

    @Nonnull public ConfigurationDocumentFullDetails downloadLocation(@Nullable String downloadLocation)
    Set the downloadLocation of this `ConfigurationDocumentFullDetails` instance and return the same instance.
    Parameters:
      `downloadLocation` - Download location of the document.
    Returns:
      The same instance of this `ConfigurationDocumentFullDetails` class

  - ### getDownloadLocation

    @Nonnull public String getDownloadLocation()
    Download location of the document.
    Returns:
      downloadLocation The downloadLocation of this `ConfigurationDocumentFullDetails` instance.

  - ### setDownloadLocation

    public void setDownloadLocation(@Nullable String downloadLocation)
    Set the downloadLocation of this `ConfigurationDocumentFullDetails` instance.
    Parameters:
      `downloadLocation` - Download location of the document.

  - ### mimeType

    @Nonnull public ConfigurationDocumentFullDetails mimeType(@Nullable String mimeType)
    Set the mimeType of this `ConfigurationDocumentFullDetails` instance and return the same instance.
    Parameters:
      `mimeType` - MIME type of the document.
    Returns:
      The same instance of this `ConfigurationDocumentFullDetails` class

  - ### getMimeType

    @Nonnull public String getMimeType()
    MIME type of the document.
    Returns:
      mimeType The mimeType of this `ConfigurationDocumentFullDetails` instance.

  - ### setMimeType

    public void setMimeType(@Nullable String mimeType)
    Set the mimeType of this `ConfigurationDocumentFullDetails` instance.
    Parameters:
      `mimeType` - MIME type of the document.

  - ### fileSizeMb

    @Nonnull public ConfigurationDocumentFullDetails fileSizeMb(@Nullable String fileSizeMb)
    Set the fileSizeMb of this `ConfigurationDocumentFullDetails` instance and return the same instance.
    Parameters:
      `fileSizeMb` - File size of the document in megabytes.
    Returns:
      The same instance of this `ConfigurationDocumentFullDetails` class

  - ### getFileSizeMb

    @Nonnull public String getFileSizeMb()
    File size of the document in megabytes.
    Returns:
      fileSizeMb The fileSizeMb of this `ConfigurationDocumentFullDetails` instance.

  - ### setFileSizeMb

    public void setFileSizeMb(@Nullable String fileSizeMb)
    Set the fileSizeMb of this `ConfigurationDocumentFullDetails` instance.
    Parameters:
      `fileSizeMb` - File size of the document in megabytes.

  - ### metadata

    @Nonnull public ConfigurationDocumentFullDetails metadata(@Nullable List<DocumentMetadata> metadata)
    Set the metadata of this `ConfigurationDocumentFullDetails` instance and return the same instance.
    Parameters:
      `metadata` - Metadata key-value pairs associated with the document.
    Returns:
      The same instance of this `ConfigurationDocumentFullDetails` class

  - ### addMetadataItem

    @Nonnull public ConfigurationDocumentFullDetails addMetadataItem(@Nonnull DocumentMetadata metadataItem)
    Add one metadata instance to this `ConfigurationDocumentFullDetails`.
    Parameters:
      `metadataItem` - The metadata that should be added
    Returns:
      The same instance of type `ConfigurationDocumentFullDetails`

  - ### getMetadata

    @Nonnull public List<DocumentMetadata> getMetadata()
    Metadata key-value pairs associated with the document.
    Returns:
      metadata The metadata of this `ConfigurationDocumentFullDetails` instance.

  - ### setMetadata

    public void setMetadata(@Nullable List<DocumentMetadata> metadata)
    Set the metadata of this `ConfigurationDocumentFullDetails` instance.
    Parameters:
      `metadata` - Metadata key-value pairs associated with the document.

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `ConfigurationDocumentFullDetails`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `ConfigurationDocumentFullDetails` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `ConfigurationDocumentFullDetails` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `ConfigurationDocumentFullDetails` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### create

    public static ConfigurationDocumentFullDetails create()
    Create a new `ConfigurationDocumentFullDetails` instance. No arguments are required.